Changelog for WC Vendors Marketplace

Version 2.7.0 - 16th June 2026

 * Feature: Add a Trash Bin for vendors to restore or permanently delete their own products
 * Bug Fix: Incorrect plural vendor label on the "When a Vendor Is Set to Pending" setting
 * Bug Fix: Calculation errors and crash risk in get_vendor_dues_from_order
 * Bug Fix: Inactive vendor store page accessible via URL
 * Bug Fix: "Security check failed" error on the WC Vendors reports tab
 * Bug Fix: Fatal error on null result in count_products_status
 * Bug Fix: Fatal error on wp-login.php registration when a vendor terms page is set
 * Bug Fix: Fatal error when wp_enqueue_scripts fires in an admin context
 * Bug Fix: Variation with a custom attribute is not saved
 * Bug Fix: Refunded orders leak onto the vendor dashboard when "Show reversed orders" is disabled

Version 2.6.9 - 30th April 2026

 * Feature: Add setting to auto-unpublish vendor products when role changes to Pending Vendor
 * Improvement: Register a dedicated sidebar widget area for the WC Vendors single store page
 * Improvement: Add bulk approve and deny actions for pending vendors
 * Improvement: Show payment method on the order details page
 * Improvement: Retain vendor status filter selection after page refresh
 * Improvement: Add option for one row per order or one row per line item for the order CSV export
 * Improvement: Add option to rename the Vendor Dashboard label
 * Bug Fix: Fix missing borders in vendor order email
 * Bug Fix: Persist product filters across pagination
 * Bug Fix: Fix featured product setting not being enforced and missing in Vendor Dashboard
 * Bug Fix: Refunded orders shown on vendor orders dashboard when "Show reversed orders" setting is disabled

Version 2.6.8 - 31st March 2026

 * Improvement: Replace strpos() with str_contains() across the codebase
 * Improvement: Redesign the submenu for the Vendor Dashboard settings page
 * Improvement: Add product quantity as a separate column in the Orders CSV file exported from the Vendor Dashboard
 * Improvement: Show sale price and sale badge on the Vendor Dashboard product table
 * Improvement: Update display description in settings to show new [wcv_pro_vendorslist] shortcode
 * Bug Fix: Incorrect negative percentage displayed when current value is higher than last month
 * Bug Fix: Call to undefined function format_commission_rate during update routine
 * Bug Fix: Quick Edit option displays incorrect vendor name
 * Bug Fix: Attribute value field missing for non-select/text attribute types

Version 2.6.7 - 10th March 2026

 * Feature: Scheduled automated emails to vendors when a product is out of stock
 * Improvement: Remove cart and checkout blocks notice
 * Improvement: Make the menu bar sticky and add a scroll to top button
 * Improvement: WC cart/checkout blocks compatibility
 * Bug Fix: Vendors cannot create new tags
 * Bug Fix: Allow HTML in vendor shop description, stripping HTML content
 * Bug Fix: Empty categories do not appear in product add/edit form for checklist category display
 * Bug Fix: Date filter timezone mismatch on vendor dashboard

Version 2.6.6 - 10th February 2026

 * Feature: AI-powered product moderation and review system
 * Bug Fix: Cannot close the new vendor setup wizard
 * Bug Fix: Vendor shop name can be empty in backend, causing broken vendor link
 * Bug Fix: Vendor product auto-published despite publish approval being disabled due to Trusted Vendor feature
 * Bug Fix: Missing validation for date range on vendor reports page
 * Bug Fix: Vendors can still edit products when allow vendors to add/edit products is disabled
 * Bug Fix: SKU and taxes still show on variable product when Hide SKU & Taxes feature for vendors is enabled
 * Bug Fix: Commission field does not accept decimal value when comma is used as decimal separator in WooCommerce
 * Bug Fix: Adding tracking number does not override previous unshipped status message
 * Bug Fix: Cross-sell and up-sell products not saving in vendor dashboard
 * Bug Fix: Issues with vendor registration, approval, and denial emails

Version 2.6.5 - 17th December 2025

 * Feature: Introduce hooks for WC Vendors signup.
 * Improvement: Add a "This Month" filter option and set it as the default for the WC Vendors admin dashboard reports.
 * Bug Fix: Resolve code quality issues found during plugin checks.

Version 2.6.4.1 - 3rd December 2025

 * Bug Fix: Fatal error while deactivating WooCommerce immediately
 * Bug Fix: Security issues
 * Security Fix: Prevent unauthorized vendor order access

Version 2.6.4 - 14th November 2025

 * Feature: Option to write a custom message in vendor denial/approval emails per vendor
 * Feature: Dashboard cross-promo box with 1-click install
 * Improvement: Add SaveTo Wishlist Lite for WooCommerce to the About page
 * Improvement: Update the Select2 script handle to resolve the WooCommerce 10.3.0+ deprecation warning
 * Improvement: Add a parameter to display product categories in the Products by Vendor shortcode
 * Bug Fix: Remove PayPal Adaptive Payments and fix the test gateway crash
 * Bug Fix: Auction downloadable missing general tab/option to upload files
 * Bug Fix: Theme overrides not applied for certain dashboard templates due to the wrong path in the controller
 * Bug Fix: Incorrect refund detection when handling partial refunds per vendor

Version 2.6.3 - 13th October 2025

 * Feature: Add vendor detail modal for admin to review pending vendors on the All Vendors page
 * Improvement: Support username and user ID in the "vendor" parameter of the products by vendor shortcodes
 * Improvement: Add parameter to limit the number of displayed products without pagination via shortcodes
 * Improvement: Hide vendor shipping feature in free version
 * Improvement: Clarify single product header dependency on shop header
 * Bug Fix: Vendors and admins receive duplicate emails on new vendor application
 * Bug Fix: Admin notification emails for vendor applications are not sent when site language is not English

Version 2.6.2 - 26th September 2025

 * Feature: Group subcategories under parent categories in category filter dropdown
 * Improvement: Enhanced admin setting field custom attributes rendering
 * Bug Fix: WC Vendors overriding RankMath metadata on non-vendor pages (Newsfeed, Forums, Courses)
 * Bug Fix: Inventory tab disabled in WCVP stays hidden even after deactivating WCVP
 * Bug Fix: Vendors allowed to create custom tags in Marketplace and Pro
 * Bug Fix: Zero commissions are not automatically marked as Paid
 * Bug Fix: Missing Inventory tab for external product type and fixed SKU and tax fields not being hidden properly
 * Bug Fix: Cancelled status filter missing in vendor dashboard Orders page
 * Bug Fix: Create Missing Vendor Sub-orders Tool not working properly
 * Bug Fix: The Add your socials step appears in the onboarding setup progress
 * Bug Fix: Vendor Product Edit Button links to WP Admin instead of Vendor Dashboard

Version 2.6.1 - 26th August 2025

 * Improvement: Options to allow vendor to review or purchase their own products 
 * Improvement: Ensure vendor assignment is preserved during partial imports via woocommerce tool
 * Improvement: Add recommended plugins page to setup wizard
 * Improvement: Update all vendor page trusted, verified, and untrusted wording
 * Bug Fix: Google analytics features not applied to all vendor pages when enabled from vendor dashboard
 * Bug Fix: Extension items not showing on vendor dashboard
 * Bug Fix: Incorrect Pro label and field restriction for store website, phone, and address in vendor management


Version 2.6.0 - 29th July 2025

 * Bug Fix: Vendors should not be able to review their own products
 * Bug Fix: The Vendor should not be able to purchase their own products
 * Bug Fix: Hide the Mark Shipped button setting does not apply to order detail view
 * Bug Fix: Child vendor order date not syncing with parent order
 * Bug Fix: Vendor singular term not applied to My Account dashboard menu
 * Bug Fix: Total Discount Coupon displayed in the vendor's new order email instead of the amount per vendor coupon

Version 2.5.9 - 8th July 2025

 * Improvement: Order search functionality for Vendors
 * Improvement: Separate order status and shipped status in Export Vendor Orders CSV
 * Bug Fix: Missing text domains in wc-vendors-product-table-row-details.php template strings
 * Bug Fix: Saving settings of other tabs redirects to the store tab
 * Bug Fix: Revert to include admin orders and fix marketplace commission calculation
 * Bug Fix: All products page broken with AIO SEO when language/profile language is Netherlands
 * Bug Fix: One click setup does not dismiss the setup wizard message from the admin screen
 * Bug Fix: Orders widget on the Vendor Dashboard ignores customer info visibility settings
 * Bug Fix: Remove extra line breaks in product titles on Export Vendor Orders CSV
 * Bug Fix: Store policies content is not saving correctly when using HTML tags from the All Vendors Page
 * Bug Fix: The marketplace dashboard includes with the admin product order as well
 * Bug Fix: Lock new/edit product messages not displaying on Vendor Dashboard
 * Bug Fix: The Vendor singular term option is not applied to the vendor list search placeholder
 * Bug Fix: Products created with downloadable/virtual template not filtered by WooCommerce Price Widget
 * Bug Fix: The tax fields and attribute tab still visible to vendors despite settings to hide them
 * Bug Fix: Remove the incorrect png image file

Version 2.5.8 - 9th June 2025

 * Improvement: Add Patchstack VDP disclaimer to FAQ on readme
 * Bug Fix: Store description content is not saving correctly when using HTML tags from the admin panel
 * Bug fix: New orders do not appear on Marketplace Dashboard when dashboard cache is enabled
 * Bug Fix: General box should hide when Variable product type selected
 * Bug Fix: Difficulties in Adding Variation Images
 * Bug Fix: Setup Wizard: Can not click on the Next button on small screen

Version 2.5.7 - 23rd May 2025

 * Improvement: Update language files
 * Improvement: Vendor dashboard UI
 * Improvement: Revamp WC Vendors Setup Wizard
 * Improvement: Add badge count and smooth date range transition on Marketplace Dashboard
 * Bug Fix: Fatal error on All Vendors Page due to invalid Vendor ID
 * Bug Fix: Remove user from vendor list if store is inactive
 * Bug Fix: Missing Product qty field in simple product edit template
 * Bug Fix: Incorrect Link for Orders and Ratings Buttons on Vendor Dashboard
 * Bug Fix: Function WC_Order_Data_Store_CPT query was called incorrectly
 * Bug Fix: Fatal error on Vendor Dashboard – division type mismatch
 * Bug Fix: Admin reports SQL Injection Vulnerability
 * Bug Fix: Update Shipping Tracking redirecting to the wrong page
 * Bug Fix: Product Search not working in Vendor Dashboard
 * Bug Fix: All Vendors page breaking due to 3rd party plugin database capabilities

Version 2.5.6 - 28th April 2025

 * Feature: Marketplace Admin Dashboard
 * Improvement: Review Request
 * Improvement: Marketplace Backend Dashboard optimise
 * Bug Fix: Undefined Array Key importing
 * Bug Fix: An uncaught error occurs when all product types are hidden
 * Bug Fix: Hidden Categories field causes product categories to be removed on save
 * Bug Fix: Restricted Product Types Still Visible in Dropdown on Vendor Dashboard Product Tab
 * Bug Fix: Product images translation
 * Bug Fix: When Gallery display is Disabled it breaks the product editor form

Version 2.5.5.1 - 9th April 2025

 * Improvement: Update WooCommerce version

Version 2.5.5 - 31st March 2025

 * Improvement: Add support multiple select for Vendor Dashboard Product
 * Improvement: Add view buttons to order section in the vendor dashboard
 * Bug Fix: When Gallery display is Disabled it breaks the product editor form
 * Bug Fix: Store Phone Field Flag Displays [Object Object] Text
 * Bug Fix: Awaiting shipping counter not updating and mismatch with orders report
 * Bug Fix: Partially refunded order only shows the View Order option
 * Bug Fix: Vendor Search Failing When Store name has single quote or Apostrophe
 * Bug Fix: Duplicate Notes Or Shipping Tracking Info After Form Submission and Page Refresh
 * Bug Fix: Store Settings template override not working as intended
 * Bug Fix: Email ID conflict

Version 2.5.4.1 - 14th March 2025

 * Bug Fix: Fix the critical error on product edit

Version 2.5.4 - 5th March 2025

 * Improvement: Add Vendor lists shortcode to sort by random
 * Improvement: Handle New Vendor Progress According to Marketplace Settings
 * Improvement: Make Dashboard Follow Display Color in WC Vendor Settings
 * Improvement: Vendor dashboard revamp
 * Improvement: Make Commission follow WooCommerce Decimal Point Settings
 * Improvement: The usage tracking: Total vendor should be a weekly total
 * Improvement: Remove the spacing between the "Sold By Separator" and "Sold By Label"
 * Improvement: Restrict wp_enqueue_media() from running on every page
 * Bug Fix: Vendor Dashboard - Orders: The Clear button is not working properly
 * Bug Fix: Multiple issues with variable products on the new dashboard
 * Bug Fix: Sales Snapshot View All Orders Link is returning 404
 * Bug Fix: Hide Downloadable and Virtual option is not removing them from the variable bulk action toggle
 * Bug Fix: The "Vendor notify denied" email is not sent if the vendor is rejected via the All Vendors page
 * Bug Fix: All Popup windows on the order page are shrunk on Safari
 * Bug Fix: Vendors can still view their orders from the Vendor Dashboard when the "View Orders" option is disabled
 * Bug Fix: The Order Status column displays "No"/"Yes" instead of the correct status in the exported CSV file
 * Bug Fix: Huge logging of creating sub-orders for deleted vendor
 * Bug Fix: HTML Editor not working as intended
 * Bug Fix: The vendor listing search shows duplicate results but does not display anything when searching using the full name
 * Bug Fix: Not Approved Vendor Showing In Vendor List
 * Bug Fix: HTML Product Editor Option Breaks Product Form when there are required description fields
 * Bug Fix: Customer can purchase a product from a deactivated vendor
 * Bug Fix: Support Candy Integration: Cannot show "Order totals" and "Product totals" charts on the Vendor Dashboard
 * Bug Fix: Critical error on the vendor product editor when WCV Pro is inactive but "Checklist" was enabled for the "Category Display" option
 * Bug Fix: Risk on Deleting Variations and Saving Seller Info and Store Description
 * Bug Fix: The Vendors List doesn't show on the Vendors page

Version 2.5.3 - 17th September 2024

 * Improvement: Implement product count/post count for vendor list shortcode
 * Improvement: Change the default stock quantity to 1 when the "Manage stock?" option is enabled 
 * Improvement: Implement product count/post count for vendor list shortcode 
 * Improvement: Add the {customer_name} placeholder option on the subject and heading of the vendor emails
 * Bug Fix: Links that have a "_blank" target attribute do not open in a new tab 
 * Bug Fix: Typographical error on "Vendor singluar term"
 * Bug Fix: Script tag is shown when a customer is accessing the vendor dashboard page 
 * Bug Fix: Re-activated stores have missing products 
 * Bug Fix: Notice: Function WC_Order_Data_Store_CPT::query was called incorrectly 
 * Bug Fix: Wrong text domain 
 * Bug Fix: The refunded order is showing up even though the show reversed orders option is disabled
 * Bug Fix: Vendor Registration Form Redirect is broken

Version 2.5.2 - 23rd August 2024

 * Feature: New Vendor Dashboard
 * Feature: If a Vendor logs in, redirect them straight to the vendor dashboard
 * Feature: Allow the admin to specify a permission denied message with a WYSIWYG/block editor
 * Improvement: Optimize get vendor orders process
 * Improvement: Add WP CLI tool to remove duplicate sub-orders
 * Improvement: Readme SEO adjustments
 * Improvement: Move WC requires and tested up to header to the bottom of plugin header
 * Bug Fix: Suborders are appearing on third-party
 * Bug Fix: Payment Settings Fields (as Well as Other Settings Form Fields) Are Not Hidden in Vendor WP Admin Dashboard
 * Bug Fix: Product variations are not assigned to the vendor
 * Bug Fix: CSS issue on vendor list template
 * Bug Fix: WP Editor issue on the All Vendors page
 * Bug Fix: Shop description still displays if the Pro Header is enabled
 * Bug Fix: Background Fatal Error on Manually Installing Plugin
 * Bug Fix: Gets the PHP warning after running the setup wizard
 * Bug Fix: Admin notice is not working
 * Bug Fix: Vendor sub-order created twice due to payment failure
 * Bug Fix: Divi Theme: Inaccessible tabs on the vendor dashboard page
 * Bug Fix: Unable to input a decimal value on the commission percent field
 * Bug Fix: Broken links in the setup wizard and usage tracking 


Version 2.5.1.1 - 14th June 2024

 * Improvement: Only run Javascript/CSS files when viewing WC Vendors settings
 * Improvement: Separate function for creating sub-orders for the checkout process and manual order

Version 2.5.1 - 27th May 2024

 * Improvement: Product education page for Advanced Coupons free plugin
 * Improvement: Security hardening around SQL preparation and usage
 * Bug Fix: The product total sales increase/decrease is including sub-orders
 * Bug Fix: The commission page is loading slowly
 * Bug Fix: Checkout for Subscription Product Failed When WC Vendors Pro was Active
 * Bug Fix: Creating missing sub-orders is not working correctly
 * Bug Fix: Missing check to validate if a specific variable is an object
 * Bug fix: Vendor Orders Not Visible in Vendor WordPress Dashboard
 * Bug Fix: Translations not showing the translated text
 * Bug Fix: The terms and conditions alert for becoming a vendor pops up when the user attempts to register as a regular customer
 * Bug Fix: Incorrect message content for the newly submitted vendor app
 * Bug Fix: Undefined array key in class-vendors

Version 2.5.0.1 - 12th April 2024

 * Bug Fix: Yoast SEO Compatibility issue

Version 2.5.0 - 9th April 2024

 * Feature: Usage Tracking
 * Improvement: Add Yoast SEO Compatibility
 * Improvement: Decrease batch size to 200
 * Bug Fix: A fatal error occurs when performing a bulk action and moving to another page of records on the commission page
 * Bug Fix: Can't edit order where it contains a vendor that doesn't exist anymore
 * Bug Fix: Database Product Data Update Progress Bar Notification is Stuck At 100%
 * Bug Fix: Duplicate blank order with high-traffic
 * Bug Fix: Fatal when viewing Vendor Dashboard page as logged out guest user
 * Bug Fix: Incorrect total order on the Vendor Dashboard
 * Bug Fix: The license page should be near the bottom of the menu
 * Bug Fix: Missing sub-orders
 * Bug Fix: Stuck at 100% synchronizing notice
 * Bug Fix: Vendor sub-order compatibility with PDF Invoices & Packing Slips for WooCommerce by WPOvernight
 * Bug Fix: New update broke The Plugin Pros enable PayPal payout checkbox


Version 2.4.9.3 - 23rd February 2024

* Improvement: Optimize the sync progress
* Bug Fix: Critical error when visiting Woocommerce Emails setting page

Version 2.4.9.2 - 22nd February 2024

* Improvement: Update vendor orders meta query for backward compatibility
* Improvement: Vendors status sync is not running properly enhancement
* Improvement: Show progress of background updates
* Improvement: Optimize the All Vendor page queries
* Bug Fix: Outstanding Commissions on the All Vendors page should only show unpaid commissions
* Bug Fix: Admin Created Vendor Is Status Inactive
* Bug Fix: All vendors page - Pending vendor tab is showing all vendors
* Bug Fix: New order emails problem after last update
* Bug Fix: Legacy WooCommerce reports showing double data

Version 2.4.9.1 - 15th February 2024

* Bug Fix: The All Vendors page is showing blank after upgrading to 2.4.8+

Version 2.4.9 - 8th February 2024

* Feature: Added dedicated Help & About pages
* Feature: Added pagination for the order listing in the Vendor Dashboard
* Feature: New central license page
* Feature: New setting: Preferred Payout Method
* Improvement: Admin ability to mark order unshipped
* Improvement: Deprecate all old 'pv_' prefixed filter and action hooks
* Improvement: PHP 8.2 Compatibility
* Improvement: Replace team photo on the About page
* Bug Fix: All Vendors page - The view orders feature is not filtering the vendor orders properly
* Bug Fix: Incorrect product sold count on the admin commissions page
* Bug Fix: Orders in WP Admin Not Viewable
* Bug Fix: The total number of products sold is incorrect on the Commission page

Version 2.4.8.2 - 7th February 2024

* Improvement: Added admin notice to ask admin to update Pro to v1.8.8
* Improvement: Added a new filter to change the batch size when synchronizing data.
* Improvement: Added CLI to sync data via the command line.

Version 2.4.8.1 - 31st January 2024

* Bug Fix: Re-register lowercase constant for old Pro plugin compatibility.

Version 2.4.8 - 27th November 2023

* Feature: New All vendors admin page
* Feature: HPOS compatibility
* Improvement: Recoded the way Orders and Vendor sub-orders are handled
* Improvement: Tidy up wizard ready screen, change URL of opt-in, form add helpful links
* Improvement: Lite bar at the top of WCV pages
* Improvement: Redesign the extensions page
* Bug Fix: All Vendors: Incorrect Inactive total count
* Bug Fix: Author Field Removal in WordPress Post Editing
* Bug Fix: Check WooCommerce activated before bootstrapping
* Bug Fix: Fatal error after creating an order manually
* Bug Fix: Fatal errors during refund order
* Bug Fix: No user found after approving/rejecting a vendor
* Bug Fix: PHP Warning: Attempt to read property "line_total" shows up on the Vendor Orders page
* Bug Fix: Sort the Total column in the commission table
* Bug Fix: The default email subject is not showing up
* Bug Fix: The variable product order is not listed on the Sales report
* Bug Fix: Updating the users profile will remove the secondary role
* Bug Fix: Updating the vendor's shipment does not reflect on the Commission page and Vendor Orders page
* Bug Fix: Vendor Dashboard Sales Report issues
* Bug Fix: Vendor search bar not showing
* Bug Fix: Restore missing CSS
* Bug Fix: Registration Error Message Does not contain any message
* Bug Fix: Remove export commission option
* Bug Fix: Inactive vendor message

Version 2.4.7.3 - 20th November 2023

* Bug Fix: Commission sorting issue

Version 2.4.7.2 - 16th November 2023

* Bug Fix: Insert commission is not working

Version 2.4.7.1 - 14th November 2023

* Improvement: Declare incompatible with WC Cart/Checkout blocks
* Improvement: Commissions page security

Version 2.4.7 - 23rd May 2023

* Added: Implement review request admin notice #898 (#900)
* Added: Mark HPOS incompatibility. (#914)
* Added: PHPCS for WC Vendors (#894)
* Added: Plugin link for Upgrade To Pro (#912)
* Added: Setting to make vendor the primary role (#902)
* Added: add initial setup for running automation (#916)
* Added: initialize Cypress tests (#909)
* Fixed: Bulk Actions in WP Admin's Orders Page Causes Orders to be Marked as Shipped (#891)
* Fixed: Cancelled email (#919)
* Fixed: Constant FILTER_SANITIZE_STRING is deprecated (#922)
* Fixed: Misalignment issues on Commissions admin page (#910)
* Fixed: PHP8 compatibility - Unsupported operand types: string + float (#899)
* Fixed: The bulk action vendors dropdown not showing after quick edit (#934)
* Removed: Circle CI (#897)
* Updated: code cleanup (#892)
* Updated: Change all Pro upgrade links to our pricing page (#911)
* Updated: Upgrade To Pro highlighting on plugin menu (#913)
* Updated: github template (#896)

Version 2.4.6 - 31st March 2023

* Added: Vulnerability reporting point of contact (#886)
* Fixed: Vendor selectbox incorrect or empty on product page (#885)

Version 2.4.5 - 6th January 2023

* Fixed: Escaped attributes to address security vulnerability report (#882)

Version 2.4.4 - 24th November 2022

* Fixed: Admin notify product email firing twice
* Fixed: New vendor list pagination doesn't work when using the display options grid or list. (#870)

Version 2.4.3 - 21st July 2022 

* Added: Paypal Masspay Web CSV export (#860)
* Added: Vendor ID and Product Count Columns on user screen (#858)
* Updated: Vendors list page redesign (#846)
* Updated: Dutch translations thanks Eric (#865)
* Updated: Show the Vendor selectbox while using Gutenberg for products (#853)
* Fixed: Order Notification for the vendor does not include the coupon discount (#849)
* Fixed: Order status not getting updated with partial refund (#829)
* Fixed: Shipping issue with WC Vendors Pro #1661 (#855)

Version 2.4.2 - 19th May 2022

* Updated: Dev tools (#842)
* Fixed: Vendor menu shows on Admin dashboard (#844)
* Fixed: Duplicate H1 tag on products (#840)
* Fixed: The colspan does not match in vendor dashboard (#838)

Version 2.4.1 - 3rd March 2022

* Updated: Sales report with refund details (#822)
* Updated: Menu page parameter type in WordPress 6.0 (#826)
* Reverted: "Added: Log marketplace commissions to commissions table (#806)" (#832)
* Fixed: Undefined variable ids (#816)
* Fixed: Order export fails if the order has been deleted #813 (#814)

Version 2.4.0 - 10th January 2022

* Added: Marketplace admin can mark orders shipped (#808)
* Added: Log marketplace commissions to commissions table (#806)
* Added: Filter hook to add CSS classes to apply for vendor label (#797)
* Updated: Daily filter for commission by vendor report (#803)
* Fixed: Files not assigned to vendor when assigning product (#791)

Version 2.3.2 - 2nd August 2021

* Fixed: Fatal error on activation with PHP7.3 and below #785

Version 2.3.1 - 22nd July 2021

* Fixed: Duplicate seller info in single product page. #780 (#781)

Version 2.3.0 - 19th July 2021

* Added: New filter to allow custom order visibilities (#754)
* Added: Ability to delete commission rows (#765)
* Updated: UI titles to use title case (#768)
* Updated: Various strings in the codebase (#767)
* Updated: Disabled cron system if deprecated PayPal settings not active (#769)
* Updated: Action/Filter names need to be made consistent #716 (#760)
* Fixed: Orders in order template #757 (#761)
* Fixed: Vendor sales report table should get hidden as per permission set by admin. #756 (#758)
* Fixed: Wordpress REST API (Pages asset) & WC Vendors Marketplace (#770)
* Fixed: Call to a member function get_id() on boolean #745 (#755)

Version 2.2.4 - 25th March 2021

* Added: New column on commissions page for shipped (#743)
* Updated: Tested to WP and WooCommerce

Version 2.2.3 - 1st March 2021

* Added: PHP8 support
* Updated: enhancement for New customer order vendor notification - Add link in the order number redirecting to /pro-dashboard/orders page #729 (#730)
* Updated: Tested WP Version 5.6.2 & WC version 5.1
* Fixed: Order total incorrect in vendor order emails when coupon is used #726 (#727)
* Fixed: Commission Total loads 1970 as the start and the end date (#736)
* Fixed: CSS Issue in admin update bubbles (#735)
* Fixed: Bulk assigning products to a vendor does not work #724

Version 2.2.2 - 25th November 2020

* Added: Make commissions table in WP Admin filterable (#717)
* Added: Filter to the vendor select minimum input length #688
* Updated: Setup wizard updates (#714)
* Updated: Changed WooCommerce missing behaviour  (#712)
* Updated: Remove deprecated payments tab from settings (#705)
* Updated: Update vendor drop downs place holder #701 (#706)
* Updated: User store name or user id for vendor search in wp admin #669 (#697)
* Updated: Add a filter to handle customer email notification for the mark received shipping #691
* Updated: Reverted products import code
* Fixed: Yith Wishlist Conflict for vendor roles. #707 (#708)
* Fixed: Deprecated WooCommerce call #709 (#710)
* Fixed: Deleted products don't have a title on the commissions table #702 (#703)
* Fixed: Advanced option - Delete all data, requires the Wizard to be completed before users can use the shortcodes on the pages #681 (#700)
* Fixed: Bulk editing products and adding tags would cause the assigned vendor store on those bulk edited products to disappear #687

Version 2.2.1 - 28th August 2020 

* Fixed: Permission check for product imports (#685)
* Fixed: Depreciated JS in WP 5.5 #680 (#684)
* Fixed: Product and category search not working on Products Page (#679)
* Fixed: Solve error on Gutenberg save

Templates Updated:
	templates/dashboard/denied.php

Version 2.2.0 - 13th August 2020

* Added: Support for WC4.4 and WP5.5 (#674)
* Fixed: Page 2 of the vendors pro list pagination returns a page 404 not found #667 (#668)
* Fixed: Vendor assignment in product edit only recognizes vendors #661
* Fixed: Filter products by vendor on products page in wp admin. (#664)
* Fixed: Performance issue on commissions page (#663)
* Fixed: Commissions page in the admin panel, page pagination does not work. #660

Version 2.1.20 - 8th of May 2020

* Added: Add date range filters for commissions table #649 (#651)
* Updated: Tested to WooCommerce 4.1 (#654)
* Updated: Update filter names in WCV_Shortcodes class #644 (#647)
* Fixed: Front-end issues of Store Info option ( Enabled/Disabled ) not working #599 (#653)
* Fixed: Timezone display for commissions #625 (#648)
* Fixed: Order date query bug. (#646)
* Fixed: get current page error on setup wizard #640 (#641)

Version 2.1.19 - 11th March 2020

* Confirm WordPress 5.4 and WooCommerce 4.0

Version 2.1.18 - 5th February 2020

* Added: New action hook to image field. (#620)
* Updated: Vendor_list shortcode argument to has_products #595
* Updated: Deploy updates (#616)
* Fixed: Vendor select box empty for marketplaces which has over 100 vendors #614 (#615)
* Fixed: Urls in help tab (#623)


Version 2.1.17 - 2nd January 2020

* Added: New template tag for sold by link (#602)
* Updated: Disabled PayPal Adaptive payments #596
* Fixed: text domain on strings
* Fixed: Performance issue in WP-Admin area in large marketplaces #604 (#608)
* Fixed: CircleCI (#606)
* Fixed: Sold by label spacing on single product page #597

Version 2.1.16 - 16th October 2019

* Updated: Extensions page product links
* Updated: Tested to
* Fixed: Low/out of stock emails not sending #593
* Fixed: jQuery reference

Version 2.1.15 - 13th September 2019

* Added: Vendor to WooCommerce Product Import/Export for admins
* Added: New single shop header option to disable headers

Version 2.1.14 - 11th September 2019

* Added: Bulk edit assign vendor to products (#591)
* Added: Add product details and correct order ID for commission csv exports
* Added: New order item argument for commission calculations
* Added: Filters to hide headers. (#589)
* Updated: Tested to 5.2.3
* Fixed: Php notice on orders view page
* Fixed: spelling in attributes file

Version 2.1.13 - 26th August 2019

* Added: New shop description option for vendor store page
* Added: Check post type on delete for sub orders
* Added: Tool to remove orphaned vendor sub orders
* Updated: gulp and build language file. (#585)
* Updated: WooCommerce 3.7 compatibility testing
* Fixed: Translated strings saved to database aren't translated on output #579
* Fixed: Delete vendor sub orders when parent order is deteled #558
* Fixed: Approving a vendor sends an email to the admin #578 (#582)
* Fixed: Urls on settings page
* Fixed: Hide product featured input if capability disabled. (#587)

Version 2.1.12 - 26th June 2019

* Added: Become a vendor label
* Added: Bulk assign media to vendor #565 (#577)
* Added: New filter to filter the sold by template (#575)
* Added: GitHub Contributing templates (#574)
* Updated: Moved become a vendor to label settings page
* Updated: Extensions pages and related links
* Updated: Tested to 5.2.2 of WP
* Fixed: Column width on products page for vendor store column
* Fixed: Custom columns on user page not populated for other plugins #576
* Fixed: Wrong user meta name for banking details (#572)
* Fixed: Vendor description output on single product page when disabled #573

Version 2.1.11 - 13th June 2019

* Fixed: Fatal error on user edit screen

Version 2.1.10 - 13th June 2019

* Added: Vendor Store column to user vendor role page
* Added: Use Vendor display name for vendor columns in admin #547
* Added: Bulk action to users screen to make vendor the primary role
* Added: Option to disable inventory emails for vendors #566
* Updated: Tested to latest version of WordPress and WooCommerce
* Updated: Translation strings
* Fixed: Multi role issue - customer role still the primary role after vendor approval #563
* Fixed: Bank account number not saving #568
* Fixed: Npm tar vulnerability (#562)
* Fixed: Email Issues #559 (#561)
* Fixed: Use role slug rather than role name thanks dvrcthewrld

Version 2.1.9 - 9th may 2019

* Updated: Tested to 5.6 and WooCommerce 3.6.x
* Updated: Removed development files from release
* Updated: Language file
* Fixed: Commission tab inside Product Data box style problem #549
* Fixed: Invalid vendor settings form markup thanks to bporcelli


Version 2.1.8 - 18th April 2019

* Fixed: Vendor featured product shortcode display the same products for every vendor #553
* Fixed: Incorrect use of woocommerce_email_order_meta #555
* Fixed: Deny vendor application email not firing
* Fixed: Approve/deny emails not firing when Pro is enabled.
* Fixed: Billing address showing in emails when hidden
* Fixed: Shortcode not showing in container when used in page builders #544

Version 2.1.7

* Added: sold_by shortcode #542
* Updated: Made approval link in admin product emails clickable
* Updated: WooCommerce tested to
* Updated: Email Admin notify template to include clickable link
* Fixed: Vendor application email firing when Pro is activated
* Fixed: Email details incorrect when Manually approved unchecked. #520
* Fixed: is_pending check when using multiple roles
* Fixed: Vendor Notify Approved / Denied not working #543
* Fixed: Commission notice when pro is active
* Fixed: Update notice not completing

Templates Updated:
	templates/emails/admin-notify-application.php
	templates/emails/admin-notify-product.php


Version 2.1.6

* Added: newsletter signup in setup wizard
* Added: New vendor capabilities
* Updated: Tested to 5.2.0 alpha
* Updated: Language files
* Fixed: Saving some shortcodes get Update failed notice in Gutenberg #540
* Fixed: Commission table issue in Firefox #539
* Fixed: Incorrect link for listing edit products
* Fixed: Several language references


Version 2.1.5

* Added: Quantity to the commissions table
* Added: Add shortcode for free dashboard navigation #515
* Added: Filter for product data tabs (#527)
* Updated: Changed how vendor roles are assigned #528
* Updated: Updated tip text to have the correct context
* Updated: language file (#532)
* Fixed: Put description below textarea for settings pages (#536)

Templates Updated:
	templates/dashboard/links.php
	templates/dashboard/navigation.php

Version 2.1.4

* Added: Filter to modify terms error message
* Added: Run WordPress oEmbed code over the seller info tab
* Updated: Replace current PHP session with WC Session #514
* Updated: Adjusted the message to be generic to apply to customers and vendors.
* Updated: WooCommerce version compatibility
* Fixed: Vendor application firing before pro form submitted (#510)
* Fixed: Vendor terms and conditions stopping customers from registering #513
* Fixed: Vendor New Order email: Billing name is shown instead of Shipping name #509
* Fixed: Shipping is saved in db as integer. (#512)
* Added: Filter to adjust the string

Version 2.1.3

* Updated: Treat product as vendor page if product author is vendor (#505)
* Updated: WordPress Coding Standards and general code cleanup thanks to Robert Devore
* Fixed: Add email filters and action hooks to vendor notify order email
* Fixed: Calculate tax without order details by geolocating user
* Fixed: Setup wizard menu item is visible on the dashboard menu #507
* Fixed: Commissions are calculated on integers #499

Version 2.1.2

* Updated: Support for WooCommerce 3.5.0
* Updated: Support for Wordpress 5.0.0
* Fixed: Error messages on product edit page
* Fixed: Reverse commissions if order is trashed
* Fixed: Added extra checks for vendor order method
* Fixed: Load user locale when loading text domain
* Fixed: Loopback request failure #453

Version 2.1.1

* Added: Export Commission Order ID #460
* Added: Export Commission Totals use filters #459
* Added: Remove Ability to Register from the WP Login screen. #489
* Fixed: Invalid variable reference
* Fixed: Uninstall loading order to ensure table still exists when getting settings fields
* Fixed: Incorrect capabilities set on initial install and via setup wizard
* Fixed: Handle PayPal Adaptive Payments IPN status inconsistencies (#495)
* Fixed: Incorrect javascript method name
* Fixed: No terms and conditions warning (#494)
* Fixed: Replace vendor with function call (#493)
* Fixed: Update methods in the wrong location
* Fixed: Line item id's incorrectly set

Templates Updated:
	templates/dashboard/denied.php

Version 2.1.0

* Added Option to remove "Become a Vendor" tab on the my-account page
* Update: Make it easier to visually see which emails have been deprecated
* Fixed: Virtual / Downloadable Hide option does not work #483
* Fixed: Admin notify vendor application not firing #468
* Fixed: Username not showing in Admin notification email subject
* Fixed: Terms & conditions on wp-register page #479
* Fixed: Capabilities resetting disables edit live products #466
* Fixed: Vendor labels can't be translated #451
* Fixed: "Become a Vendor" tab is not hidden for vendor role #472
* Fixed: WooCommerce Product Enquiry emails not working #465
* Fixed: Color picker class not working when adding custom class (#469)
* Fixed: Stop vendor notification sending twice
* Fixed: Shipping cost to be added onto Vendor commissions #463
* Fixed: Using wrong method in classes/class-shipping.php #461

Version 2.0.10

* Fixed: Commission by Product report is not functioning & shows errors #456
* Fixed: Disable upgrade notice if pro already active
* Fixed: Added check in case user incorrectly sets orders page
* Fixed: Vendor emails not firing #450
* Fixed: Included translations no longer work #455
* Fixed: Parameter 2 to be array in class-admin-users.php on line 174 #454
* Fixed: my-account "become a vendor" tab is leading to a 404 #447
* Fixed: Pending vendors no longer see the Vendor Application Form #448

Version 2.0.9

* Fixed: Vendor shop pages are in 404
* Fixed: Become a vendor on my account page goes to a 404 #445
* Fixed: Call to undefined function wcv_get_settings_mapping() #444
* Fixed: Typo in separator statement

Version 2.0.8

* Added: Ability to uninstall the plugin including advanced options
* Added: Option to assign media to vendor when assigning product
* Added: All references to vendor changed to an option to rename vendors
* Added: Sold by separator option #420
* Added: Multi page select admin setting type
* Updated: Language files
* Fixed: Commissions Totals Incorrect in Reports #432
* Fixed: Paypal Manual payout not working #430
* Fixed: Class loading issues #427
* Fixed: Vendor Featured product shortcode not working #418
* Fixed: Vendor Top rated products shortcode not working #417
* Fixed: Unable to use image settings type for admin settings

Version 2.0.7

* Added: Become a vendor link to WooCommerce My Account page
* Fixed: Fatal Error WP Admin vendor orders #422
* Fixed: Only run vendor dashboard class on the front end
* Fixed: Admin dashboard error
* Fixed: fatal error get_id on integer
* Fixed: Hide signup form if current user is already a vendor
* Fixed: Tags stripped from wysiwyg settings #419
* Fixed: Spelling mistake across the code base
* Updated: language files
* Updated: Wording for settings

Templates Updated:
	templates/dashboard/denied.php

Version 2.0.6

* Added: Payment details to totals CSV export #414
* Added: New background updater
* Added: New reference to the GDPR for users in the readme
* Updated: Invalid text domain in woocommerce registration errors
* Updated: Only show major update warning for WC Vendors below 2.0.0
* Fixed: Payment message output
* Fixed: PayPal cron schedules not working  #416
* Fixed: Incorrect page name
* Fixed: Incorrect default settings in setup wizard
* Fixed: Call correct background updater
* Fixed: Reference to documentation
* Fixed: Increased input width for commission input in settings

Version 2.0.5

* Updated: Legacy WooCommerce calls
* Updated: Changed how options are retrieved from the database
* Fixed: Customer details not filtered on WP Admin orders screen #413
* Fixed: Customer details not filtered on emails #411
* Fixed: Totals display in vendor order notification emails
* Fixed: Duplicate new product admin notification emails
* Fixed: New product admin notification email trigger not working
* Fixed: Username placeholder in vendor application email
* Fixed: Vendor Sold By name is not appearing on customer order #412
* Fixed: Update dialog is stuck #409
* Fixed: Order capabilities not working #410
* Fixed: Incorrect label in emails

Templates Added:
	templates/emails/plain/vendor-order-addresses.php
	templates/emails/vendor-order-addresses.php

Templates Updated:
	templates/dashboard/dashboard/orders.php
	templates/emails/plain/vendor-order-details.php
	templates/emails/vendor-order-details.php

Version 2.0.4

* Fixed: Critical commission calculation error

Version 2.0.3

* Added: Export Commission Sum Totals
* Added: New setting to rename vendors store wide
* Fixed: Update Dialog is stuck #409
* Updated: Langage file

Version 2.0.2

* Fixed: Corrected settings conditional checks across classes
* Fixed: Vendor Capabilities
* Fixed: Reset vendor roles
* Fixed: Incorrect get_option calls
* Fixed: Permission check for product submit and order view
* Updated: Templates to make tracking changes possible
* Updated: Disable add new product completely if disabled
* Updated: Make denied product message translateable.

Version 2.0.1

* Fixed: Update notice won't complete
* Fixed: Legacy settings options loading
* Fixed: Errors on activation when unsupported plugin is detected
* Fixed: Display sold_by option not working

Version 2.0.0

* Added: New WC Vendors Admin menu
* Added: Bank details fields for vendors
* Added: New all new email system and templates
* Added: New contextual help menus on settings pages
* Added: New settings system and admin notice system
* Added: Setup Wizard
* Added: Support for PHP 7.1+
* Updated: styles and script build script
* Updated: language file cleanup
* Updated: Brazilian Portuguese translation thanks CasperBraske
* Fixed: Permalinks not flushing on settings save
* Fixed: Terms & Conditions Checkbox for Vendor Registration does not show #392
* Fixed: deprecated calls on orders screen
* Fixed: Vendor role capabilities updated when new settings updated.
* Fixed: Vendors can delete media they uploaded
* Fixed: Added check for woocommerce shipping tax class setting
* Fixed: Tax classes not being used in shipping tax calculations
* Fixed: Make compatible with translate.wordpress.org #396
* Fixed: undefined index notice for reports that have been removed
* Fixed: Removed focus from select on vendor drop down on product edit screen

Templates Added:
	templates/emails/plain/admin-notify-product.php
	templates/emails/plain/admin-notify-shipped.php
	templates/emails/plain/admin-notify-application.php
	templates/emails/plain/customer-notify-shipped.php
	templates/emails/plain/vendor-notify-application.php
	templates/emails/plain/vendor-notify-approved.php
	templates/emails/plain/vendor-notify-denied.php
	templates/emails/plain/vendor-notify-order.php
	templates/emails/plain/vendor-order-details.php
	templates/emails/plain/vendor-order-items.php
	templates/emails/admin-notify-product.php
	templates/emails/admin-notify-shipped.php
	templates/emails/admin-notify-application.php
	templates/emails/customer-notify-shipped.php
	templates/emails/vendor-notify-application.php
	templates/emails/vendor-notify-approved.php
	templates/emails/vendor-notify-denied.php
	templates/emails/vendor-notify-order.php
	templates/emails/vendor-order-details.php
	templates/emails/vendor-order-items.php

Templates Updated:
	templates/dashboard/settings/settings.php
	templates/order/table-body.php

Version 1.9.14

* Added: Export commissions via CSV
* Added: Commission Table Links #166
* Added: Apply to become a vendor on wp-login registration page #245
* Added: Apply filter to get_vendor_dues_from_order()
* Fixed: wp-admin Commissions Page sorted by status & vendor #374
* Fixed: Commission filters loading too early so they cannot be applied.
* Fixed: WooCommerce Reports are showing 2X accurate sales #388
* Fixed: Shortcodes do not work for products assigned to vendor by admin #385
* Fixed: Text domain in read me for glotpress translations
* Fixed: "sold by" is showing in several areas despite deselected admin setting #386

Version 1.9.13

* Added: Notice for deprecated gateway
* Added: A filter for role change: Denied Vendor #351
* Added: WooCommerce tested header for new WooCommerce Status page
* Added: Filter for vendor signup form so it can be overriden
* Added: "Approve" Vendor action on Pending Vendors Page #372
* Updated: Brazillian Port wcvendors-pt_BR.pot
* Fixed: Moved sprintf must be outside #381 thanks CasperBraske
* Fixed: Re-Send email options in admin/orders are not available after WooCommerce update #383
* Fixed: deprecated screen_icon method call
* Fixed: Use wc_get_order instead of new WC_Order #382
* Fixed: Post called incorrectly #378
* Fixed: Get correct product name in commission table if variation deleted
* Fixed: Commissions reversed when order deleted
* Fixed: mistake in vendor_shop_query
* Fixed: Return 404 if vendor doesn't exist
* Fixed: The shop name background doesn’t scale with shop image #366
* Fixed: deprecated functions #368 thanks @stodorovic
* Fixed: Changed how customer address is displayed based on Woo Options. Thanks @debain

Version 1.9.12

* Added: For hook for vendor order content
* Updated: Portuguese translations thanks Elsa
* Updated: Show SKU in emails as per pre WC3.0 updates
* Fixed: Static reference calls in commision class
* Fixed: Shipping tax bug in vendor calculations
* Fixed: Variations showing $0 price in emails thanks damanmehta
* Fixed: Prevent PHP notice for getting non-existing vendor name from JeroenSormani/master

Version 1.9.11

* Fixed: Correct product id being parsed to shipping function
* Fixed: Payment method notice due to direct access to object property
* Fixed: Sold by incorrectly showing in cart for variations

Version 1.9.10

* Fixed: Terms & Conditions Checkbox is not functioning normally #348
* Fixed: Apply to Become a Vendor Checkbox is Missing with WC 3.0 + WC Vendors 1.9.9 #349
* Fixed: New product title formatting is showing product #350
* Fixed: Incorrect use of wpdb->prepare
* Fixed: Mark shipped filter not providing parameters correctly
* Fixed: Incorrect reference to billing email in notification email
* Updated: Removed Sales reports from backend

Version 1.9.9

* Added: Filters to vendor admin dashboard class for custom columns #339
* Added: Vendor shop name to the <title> tag on products archive page
* Updated Woocommerce 2.7 compatibility
* Updated: i18n text domain loading for proper translations #341
* Fixed: Class logger when called via includes files
* Fixed: Bug in how admin notices are displayed when saving shop settings
* Fixed: 2.7 compatibility bugs
* Fixed: Commissions Subtotal showing Full Product Price in vendor email #330
* Fixed: Capabilities Fix for Resetting Roles #329
* Fixed: HTML title attribute doesn't change for store pages #328
* Fixed: Login form not displayed if get variable set
* Fixed: deprecated action in product edit screen

Templates Updated:
	templates/emails/vendor-new-order.php
	templates/emails/notify-vendor-shipped.php
	templates/order/orders.php

Version 1.9.8

* Fixed: Paypal adaptive payments url changes
* Added: Store Vendor ID in vendor child order #326
* Added: 100% Japanese translations thanks to Shohei Tanaka

Version 1.9.7

* Fixed: Capabilities Fix for Resetting Roles #329

Version 1.9.6

* Added: Commission Query Functions #321
* Added: Template for sold by in shop loop #324
* Merged: Extended commissions management #319 from MounirHamani
* Updated: Brazilian Portuguese translation
* Template Added:
	templates/front/vendor-sold-by.php

Version 1.9.5

* Added: Automated language file builds
* Added: Vendors can now delete media in the media uploader
* Updated: Commissions table in backend now shows cost breakdowns
* Fixed: Removed legacy code for unsupported shipping methods
* Fixed: Rounding issue with 100% commission and coupons in pro

Version 1.9.4

* Added: Filter to add delayed payment possibility #309
* Added: WPML support configuration file
* Updated: Brazilian translation files thanks Luis!
* Fixed: Using "date_i18n" instead of just "date"  #316 from CasperBraske
* Fixed: Geczy text domain in the settings file #314
* Fixed: Commissions lock on one vendor after some actions are made #311
* Fixed: Vendor dashboard Orders Export link is dead #306
* Fixed: Vendor sorting in commissions - no option to NOT choose a vendor #305
* Fixed: vendor order admin product metadata loading #298 from mikko-niemikorpi
* Fixed: Commission status translatable in reports thanks CasperBraske
* Fixed: Translatable strings thanks CasperBraske
* Fixed: Issues with translation strings
* Fixed: Incorrect variable reference
* Fixed: bp_setup_current_user was called incorrectly
* Fixed: Display of variations on main dashboard
* Fixed: Trying to get property of non-object
* Fixed: Variation data styles in order display in wp-admin
* Fixed: Save user meta fields when pending vendor
* Fixed: Incorrect url string format in french translation
* Templates Updated:
	templates/dashboard/orders.php

Version 1.9.3

* Fixed: Only load asset on orders page in admin
* Fixed: Not showing orders on vendor dashboard for new installations
* Updated: Persian translations thanks to Alireza

Version 1.9.2

* Added: Reverse commission when order emptied from trash #277
* Added: Daily Payout option for PayPal Cron #297
* Added: Vendor select2 on the commissions page #284
* Added: Button to reset vendor roles & WC Vendors settings to WooCoomerce system status tools page #230
* Added: Dutch Translation, thanks @jjclinton
* Added: Date filter for order queries
* Added: Turkish translations thanks Hakan
* Added: $wc_vendors object variable
* Added: Action to fire after dashboard links (wcvendors_after_links)
* Added: Body css classes to set pages
* Updated: Support for woo commerce minimum and readme
* Fixed: Mark commission reversed bulk action on commissions table
* Fixed: No longer have to save permalink settings when updating WC Vendors options
* Fixed: Orders page not set on fresh install
* Fixed: Property of non object #300
* Fixed: Translation for Mark Shipped #296
* Fixed: Too many redirect loops if pages not set #290
* Fixed: Non-Object Notice in install #289
* Fixed: Rounding error with 100% commission thanks Brett!
* Fixed: text domain for email templates
* Fixed: Don't start session if user isn't logged
* Fixed: Session error on log out if session doesn't exist
* Fixed: Settings image selector bug
* Merged pull request #302 from NicolasBernier - Completed French Translations, Thanks!
* Merged: pull request #293 from stodorovic/fix_init_sessions

Version 1.9.1

* Added: GitHub Plugin URI for afragen/github-updater #282 thanks Agoruh
* Added: Edit and View page settings options
* Fixed: Missing Argument WCV_Admin_Users::filter_product_types() #288
* Fixed: Critical: PHP Fatal error: Call to a member function get_children() #287
* Fixed: Date range session data is not working #285
* Fixed  HTML escaped characters in PaypalAP Cancel and Return URLs: #286 thanks Nicolas
* Fixed: Post type check to trigger_new_product() function #276
* Fixed: Updated to notices instead of wordpress errors
* Fixed: Product attribute fetch and returning HTML #283 thanks Mikko
* Fixed: Vendor Mark Shipped Security Fix #280 thanks Agoruh
* Fixed: Missing argument in Vendors Class
* Fixed: Rounded product commission to avoid error 589023 when submitting to PayPal #275 thanks Nicolas

Version 1.9.0

* Added: Support for WooCommerce 2.6
* Added: Vendor roles filter wcvendors_vendor_roles
* Added: Product and Vendor id's to sold_by filters
* Added: Vendor Signup Filters #269
* Added: Notify Vendors Email - Add Product SKU, if set #263
* Added: New Option: Notify Vendors show Purchase Price or Commissions #253
* Added: Option to disable sold by #236
* Added: Initial sub order management code #196 thanks Spreeuw
* Fixed: Sold by meta removal
* Fixed: Sequential Orders Support Commissions table #270
* Fixed: Notify Vendors Email Customizer Not Working #240
* Fixed: Commissions Total Report a-z sorting #239
* Fixed: need to agree to terms for this to process correctly
* Fixed: save pending vendor for login screen
* Fixed: Notify Vendors Email in WC 2.5+ #265
* Fixed: Order table layout
* Fixed: Orders screen for vendors in admin #231
* Fixed: product management in WC 2.6
* Fixed: Duplicate application emails firing in free and pro
* Fixed: Commission display issue in notify vendor email
* Fixed: New ítem meta compatability with WC 2.5 and above

Version 1.8.9

* Fixed: Commission Totals Report Inaccurate #267
* Added: Swedish Translation Thanks Arvid!

Version 1.8.8

* Fixed: Undefined variable error in commission class
* Fixed: Pagination bug in wcv_vendorslist shortcode

Version 1.8.7

* Added: New qty argument to commission calculations
* Added: Image uploader settings type
* Added: New commission function for payment gateways
* Fixed: Prefixed all btn css classes to stop theme collision
* Fixed: Sold By:Name spaces issue #256
* Fixed: Show extended fields for vendor and pending vendor roles
* Fixed: Check if product is taxable
* Fixed: deprecated function calls in email templates
* Fixed: Commission giving tax on none taxable items #251
* Fixed: Sold by label issues with WC 2.5 #250

Version 1.8.6

* Fixed: Critical issue with paypal loading classes incorrectly

Version 1.8.5

* Fixed: Issue with PayPal on some sites - Rolled back issue #247
* Fixed: Reverted ticket #216 for email conflicts
* Added: New KnowledgeBase URL

Version 1.8.4

* Added: Removed fields from users that aren't vendors
* Added: actions to hook into approve/deny vendor
* Added: Ability to integrate with any order status for emails #216
* Added: Terms & Conditions Opens in New Tab #246
* Updated: Added trigger for on-hold to processing/completed for Notify Vendor Email #238
* Updated: Settings page helper text and clarifications
* Fixed: Sold by formatting issue #248
* Fixed: wp_redirect caches with W3 Total Cache #237
* Fixed: Bug in single page settings generator
* Fixed: Category title missing bug #213
* Fixed: Undefined index for non vendor users
* Merge: pull request #247 from archonic/hotfix/oauth-class-exists


Version 1.8.3

* Fixed: Fatal Error on activation Merge pull request #235 from oleggen/patch-1
* Added: Seller info label option

Version 1.8.2

* Added: Sold By label option
* Added: New Vendor Commission Totals Report #234
* Fixed: Added 'Shipped' if marked as shipped #233 can be found on WooCommerce > Reports > WC Vendors > Commission Totals
* Fixed: Renamed internal function to stop theme and plugin clash

Version 1.8.1

* Added: New options updated action for settings
* Added: New plugin activation hook for testing woocommerce active
* Added: vendor id to get shipping due  filter
* Added: Warning on settings page if user registration in WooCommerce is not enabled
* Added: Russian Translations thanks Natalia

Version 1.8.0

* Fixed: Mark $0.00 commissions as paid instead of due #205
* Fixed: Email trigger should be filter not action - Thanks ontiuk #215
* Updated: Read me with link to Pro and Updated Language List
* Added: Portuguese Language (Thanks Renato) #212
* Remove Forced HTTP Protocol on Sent IPN URL #207 from GoTeamScotch

Version 1.7.9

* Fixed: woocommerce filter and action issues on product edit page

Version 1.7.8

* Fixed: Vendors can not register #193
* Fixed: Variation product image upload #194
* Added: Order actions thanks GoTeamScotch
* Updated: New item meta in WC 2.4+
* Updated: WooCommerce Shipment Tracking v1.2.7+
* Fixed: Paypal Logging thanks to GoTeamScotch
* Updated: Templates now fully translatable #195
* Fixed: Translations not loading bug
* Fixed: vendors not defined error
* Updated: Base translation files

Version 1.7.7

* Fixed: Terms and conditions processing #182
* Added: filter to order note for overrides
* Added: Order note for marked shipped #187
* Fixed: order retrieval for wp-admin orders table for vendors
* Fixed:  pagination bug #179
* Updated: styles for orders table in admin for vendors
* Fixed: Vendor displaying issue #180
* Updated: Admin Commission Report Column Names #183
* Updated: Admin Commissions Page now shows times a product has sold in total #184

Version 1.7.6

* Added: Stock notifications go to vendors #114
* Fixed: Instant Pay bug #174
* Fixed: wcv_vendorslist paging #178
* Added: Vendor display name now translatable
* deprecated: Dashboard vendor reports
* Added: Chinese Language files thanks to SundayLau
* Fixed: Added support for WPML #177
* Update: default pot language file

Version 1.7.5

* Merged: Check product post type in vendor dashboard thanks simplementNat
* Updated: Base language file
* Updated: Compatibility for Shipment Tracking for v1.3.5 #167
* Fixed: Shipping taxes
* Fixed: Pending Products for Vendors #168
* Added: Vendor shipping override #171
* Added: Give Tax Per Vendor Override #56
* Added: Hide duplicate product option
* Fixed: Email firing for pending status only
* Updated: Unified vendor-main/mini-header variables
* Fixed: Email template paths to woocommerce paths
* Merged: Updated Brazilian Portuguese thanks carlosramosweb
* Added: Seller Info to header #161
* Updated: Spanish Translations #160
* Updated: Brazilian Portuguese Language #156

Version 1.7.4

* Added: Mark shipped filter #157
* Fixed: Added Tax total to vendor email #146
* Updated: Location of email templates in theme to wc-vendors/emails
* Added: User email to Vendor Display Options #158
* Fixed: Mass Pay Now Bug #159
* Fixed: Mark as shipped for downloadable product #40
* Added:  Brazilian Portuguese language #156
* Updated: Default Language file
* Fixed: Translation issue for query test #155
* Updated: Template base for emails
* Fixed: Vendor email and renamed template #135
* Fixed: Better CSV Output #63
* Fixed: Made PayPal optional on Vendor Dashboard Shop Settings #144
* Update: fixed return query var
* Fixed: Test for product post types #149
* Fixed: 2.1 deprecated return call
* Fixed: PHP Strict static call in commissions class
* Merged: Is Vendor checks all user roles #147 thanks crabilld

Version 1.7.3

* Fixed: Paypal AP IPN url issue

Version 1.7.2

* Added: Filters for seller tab #141
* Fixed: URI Too Large Error #143
* Fixed: Give tax to vendors #142
* Updated: Spanish Translations #140
* Added: Persian Translation #139

Version 1.7.1

* Fixed: Invalid argument on new orders dashboard page #138
* Updated: Base translation file

Version 1.7.0

* Fixed: add_query_arg/remove_query_arg XSS issue
* Fixed: Hide Notice not working for admin settings
* Added: Shop Settings page in WordPress dashboard
* Added: Orders page in WordPress dashboard

Version 1.6.2

* Added: Option to change sold by vendor name #106
* Fixed: Error notice in vendor dashboard #133
* Fixed: Pagination in commissions admin screen #68
* Added: Support for WooCommerce Order Status Manager
* Fixed: Updated media filter method for vendors #132
* Fixed: Commission not logged for variations #131

Version 1.6.1

* Fixed: Support for Per Product Shipping 2.2.x #126
* Added: Filter to change commission label in vendor email #127

Version 1.6.0

* Added: Admin notices for vendor page slug & permalinks
* Fixed: Plugin row meta links
* Added: Upgrade notice
* Fixed: Rounding issue #120
* Fixed: Paypal https host check deprecated call
* Added: show_products attribute #107
* Updated: Text in denied template to make more sense when registration disabled #123
* Updated: wcv_vendorslist shortcode now shows 3 column output #123
* Fixed: Index issue #122
* Updated: New plugin and template directory structure - IMPORTANT READ KB

Version 1.5.0

* Added: Spanish translation thanks Mauricio
* Added: French translation thanks JP
* Added: CSS class for sold by (classes same as filters in those files)
* Fixed: Paypal return URL
* Added: Vendor Dashboard UI Improvements
* Added: WC Vendors Test Gateway
* Updated: ToolTips to be more helpful
* Added: Admin option for not giving shipping cost to vendor
* Fixed: Disable notify admin
* Fixed: Mark as shipped/unshipped
* Fixed: Duplicate column name

Version 1.4.5

* Updated: select2 3.5.2 for settings api
* Fixed: Replaced Chosen with Select2 #102
* Fixed: Table Rate Shipping issue #103
* Fixed: Featured column issue #100
* Updated: Filter call for report
* Fixed: Call to deprecated function #98

Version 1.4.4

* Fixed: Hardcoded table in wcv_vendorslist shortcode

Version 1.4.3

* Fixed: Placeholder on Product Reports

Version 1.4.2

* Added: Commission status sort to commissions page
* Fixed: Recent Commissions limit of 20 now works on selected date range
* Fixed: Report By product in WC2.3
* Fixed: Vendor Report date selector in wp-admin
* Fixed: Tracking plugin Order Meta
* Added: New filter wcvendors_dashboard_google_maps_link
* Fixed: Formatting error for Google maps link
* Added: New actions in vendor-dashboard wcvendors_vendor_unship, wcvendors_vendor_ship (thanks Nathan H)

Version 1.4.1

* Fixed: Language file loading issue
* Fixed: Static function calls in commision class for php 5.6
* Fixed: Static call in Vendor Cart
* Added: New language files for de_AT, de_DE (thanks to theHubi), it_IT (thanks to Nicole)
* Added: New actions for main and mini headers (before and after see KB)

Version 1.4.0

* Added: product category + vendor shortcode [wcv_product_category category="category" vendor="vendorname"]
* Added: Tracking number support via WooThemes Shipment Tracking plugin
* Added: Google Maps for delivery address on front end
* Fixed: woocommerce_wp_text_input via merged pull request from svenl77
* Added: Vendor List shortcode [wcv_vendorlist] + template for styling see KB for full details
* Fixed: Report not showing Commission by Product
* Fixed: Paths in language files

Version 1.3.1

* Fixed: Sold by in invoices

Version 1.3.0

* Added: show vendor on all emails #29
* Fixed: Critical issue #58
* Added: Vendor header templates #65
* Added: Vendor to QuickEdit #12
* Fixed: Updating notices to use 2.1 Notice API #62
* Added: wcvendors_registration_checkbox filter to denied.php template view
* Added: wcvendors_vendor_registration_checkbox filter to filter "Apply to become a vendor?" at registration.
* Added: wcvendors_vendor_registration_checkbox to filter "Apply to become a vendor?"

Version 1.2.0

* Added new filters to change sold by text see Knowledge base for details
* Added sold by to product loop for archive-product.php, see knowledge base on how to disable or change this
* Added new option to hide "Featured product" from vendors
* Added Sold By Filter as per #3
* Removing unused tag filter
* Updated default.pot
* Fixing attribute bug #48 - Thanks to gcskye
* Removing legacy translations
* Fixed Orders view errors
* Fixing call to incorrect method #45

Version 1.1.5

* Fixed orders view to remove incorrect call to woocommerce print messages

Version 1.1.4

* Fixed called to incorrect notice method
* Moved methods into parent class See #41
* PHP Strict updates
* Deprecated Class due to PHP strict issues
* fixing static call
* Tidying up and comments.
* Renaming class to new standard
* Removing deprecated wc methods.
* Fixing incorrect method call
* Problem with undefined variable.
* fixing static call issues
* fixing static call problems
* Fixing more strict issues
* fixing encoding issue
* Fixing tax rounding issue #37
* Fixing deprecated calls #42
* Fixing strict standards
* Fixing constant reference #36
* Fixed reference to old plugin name
* Fixing strict errors #27
* New Default POT translations #26
* Fixing translation strings #26
* Updated description
* Fix link to paypal adaptive payments #25
* Fixing issue #22
* Remove support for woo commerce 2.1 and below
* Class rename
* Fixed incorrect table name see #35
* Fixed Class description
* Added label on vendor email shipping line see #22
* Fix issue #23 Notify vendor email problem
* Fixing Issue #28 & removing WC2.0 support
* Strict Standards in WCV_Vendors #32
* Fixing Issue #31 PHP Strict Issues
* Fixing Issue #30 PHP Strict Standards
* Change Log added for release changes
* WC Version Requirement changed
* Updating author to include wc after modifications
* Rename class
* Fixing up link to documentation
* Updated Readme

Version 1.1.3

*  Fixing table names for compatibility
*  Rename class
*  Fixing Fatal error #18
*  Fatal error fixed, version bump
*  Fixing Class call
*  Fixing all references to incorrect class name
*  Commission and report fixes
*  Fixing spelling
*  Update readme.txt
*  Fixing author
*  Version bump
*  Check if shipping is enabled
*  Comment for future reference

Version 1.1.1

*  Start of adding woocomerce short codes enhanced
*  Shortcodes class
*  Removing temp file
*  Adding short code support
*  Version Bump
*  PHP Strict Issue #5
*  Fatal Error: Class 'PV_Commission' #14
*  Fixing references to PV_Vendors
*  Renamed filters and actions
*  Rename Reports Submenu #15
*  "Mark Shipped" Icon #16
*  Version increased after bug fixes

Version 1.0.2

*  Fix up admin settings notices
*  Renamed shortcodes
*  Version bump for short code rename


Version 1.0.1

*  Initial Commit
*  First commit - no modifications to existing plugin
*  Updating README
*  Update README.md
*  Features added
*  Updated Details of plugin
*  Fixing up formatting
*  More fixes.
*  Updating readme
*  Updating more details
*  Update denied.php
*  Added mac file ignore
*  updated read me
*  Plugin Rename
*  Plugin rename
*  Rename plugin
*  Rename plugin
*  more updates
*  Plugin Updater removed
*  Updating text domain
*  Basic rename complete
*  Replacement includes classes
*  text domain updates
*  text domain updates
*  new change log for new fork
*  Rename main class
*  renaming constants
*  updated constants
*  plugin constant
*  Renaming queries class
*  constants updated
*  rename vendor shop class
*  rename vendor cart class
*  Renaming classes
*  Author updates
*  Class renaming
*  Version bump
